<?php
require_once __DIR__ . '/../connect.php';

$email = filterRequest("email");
$token = filterRequest("token");

$sql = "SELECT `id`, `email`, `token`, `created_at`, `updated_at`, `verified` FROM `email_verifications` WHERE `email` = '$email' AND `token` = '$token'";
$stmt = $con->prepare($sql);
$stmt->execute();
$result = $stmt->fetch();

if ($result) {
    $id = $result["id"];
    $sql = "UPDATE `email_verifications` SET `verified` = 1 WHERE `id` = $id";
    $stmt = $con->prepare($sql);
    $stmt->execute();

    $admin='support@sefer.com';
    $headers = "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type: text/html; charset=UTF-8" . "\r\n";
    $headers .= "From: $admin" . "\r\n";

    $subject = " Verify your email address";
    $bodyEmail="Subject: Verify your email address

Hi [$email],

Your email address has been verified.

Thank you,
SEFER Team";

    mail($email, $subject, $bodyEmail, $headers);

    jsonSuccess($message = "Your email address has been verified.");
} else {
    jsonError($message ="Your email address could not be verified. Please try again.");
}
?>